package com.community.huiju.enums;

/**
 * 错误消息定义
 * @author weiximei
 */
public enum ResponseErrorsMessages {

    SYSTEM_ERRORS (500, "服务断网了！"),
    NOT_PHONE(1000, "请输入正确的手机号！"),
    NOT_USER_NAME(1001, "用户名不能为空！"),
    NOT_ID_CARD(1002, "身份证不能为空！"),
    NOT_GENDER(1003, "性别不能为空！"),
    EXISTING_GENDER(1004, "手机号已存在！"),
    NOT_USER(1004, "用户不存在！"),
    NOT_LICENSE(44036, "未找到该车辆的月卡信息！"),
    EXIST_OWNER(1005, "已存在业主！"),
    EXIST_BUIDDING_ROLE(1006, "您已在该房产中！"),
    NO_ROLE(1007, "角色不存在！"),
    NO_PHASE(1008, "期/区 不存在！"),
    NO_BUILDING(1009, "楼栋不存在！"),
    NO_UNIT(1010, "单元不存在！"),
    NO_LEVEL(1011, "楼层不存在！"),
    NO_ROOM_NO(1012, "户号不存在！"),
    NOT_USER_VERIFY(1013, "无房产关联关系！"),
    NOT_USER_FACE(1014, "未录入人脸信息！"),
    NOT_PUSH_FACE(1015, "人脸推送失敗！"),
    NOT_VERIFY(1016, "当前房产审核记录不存在！"),
    NOT_IDENTITY_VERIFY(1017, "您的身份已停用！"),
    EXIST_FACE(1018, "人脸信息已存在！"),
    NOT_USER_VERIFY_1(1019, "房产审核未通过！"),
    DELETE_FACE(1020, "人脸删除失败！"),
    FACE_ERROR(1021, "请录入正确的人脸图片！"),
    SIGN_ERROR(1022, "签名错误！"),
    SIGN_DATETIME_ERROR(1023, "签名已过期！"),
    SIGN_ENCRYPT_MD5_ERROR(1024, "未使用md5加密方式加密！"),
    NOT_EQUIPMENT(1025, "系统设备未设置！")
    ;


    ResponseErrorsMessages(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }


    private Integer code;

    private String msg;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String toString() {
        return "ResponseErrorsMessages{" +
                "code=" + code +
                ", msg='" + msg + '\'' +
                '}';
    }


}
